Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411700 - calling libselinux python restorecon fails on /var/lib/nfs/rpc_pipefs
Summary: calling libselinux python restorecon fails on /var/lib/nfs/rpc_pipefs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libselinux
Version: 6.9
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Lautrbach
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 10:42 UTC by Milos Malik
Modified: 2017-10-02 14:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1406520
Environment:
Last Closed: 2017-10-02 14:24:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milos Malik 2017-01-10 10:42:44 UTC
+++ This bug was initially created as a clone of Bug #1406520 +++

# rpm -qa libselinux\*
libselinux-python-2.0.94-7.el6.x86_64
libselinux-2.0.94-7.el6.x86_64
libselinux-utils-2.0.94-7.el6.x86_64
# matchpathcon /var/lib/nfs/rpc_pipefs
/var/lib/nfs/rpc_pipefs	<<none>>
# python
Python 2.6.6 (r266:84292, Aug  9 2016, 06:11:56) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-17)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import selinux
>>> selinux.restorecon('/var/lib/nfs/rpc_pipefs')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.6/site-packages/selinux/__init__.py", line 80, in restorecon
    status, context = matchpathcon(path, mode)
OSError: [Errno 2] No such file or directory
>>> 

If matchpathcon returns <<none>> then the selinux.restorecon() causes traceback.

Comment 1 Petr Lautrbach 2017-01-10 11:14:25 UTC
Is this considered a high severity issue? If not, it doesn't meet Production phase 2 criteria and I will have to close it.

Comment 2 Petr Lautrbach 2017-01-10 11:16:58 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1406520#c14 The original reporter stated that they don't need this to be fixed in RHEL-6

Comment 3 J. Guthrie 2017-01-19 17:52:48 UTC
I am seeing this issue in CentOS 6.8 in case that makes a difference:

# python
Python 2.6.6 (r266:84292, Aug 18 2016, 15:13:37) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-17)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import selinux
>>> selinux.restorecon('/var/lib/nfs/rpc_pipefs')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.6/site-packages/selinux/__init__.py", line 80, in restorecon
    status, context = matchpathcon(path, mode)
OSError: [Errno 2] No such file or directory

Comment 4 J. Guthrie 2017-01-19 17:54:57 UTC
My apologies, I didn't read the initial description carefully the first time.  I'm sorry about the noise repeating the description.

Comment 5 Milos Malik 2017-07-17 08:05:42 UTC
This is not a high severity issue.

Comment 6 Petr Lautrbach 2017-10-02 14:24:59 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:
http://redhat.com/rhel/lifecycle

This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.